PasswordBasedKeyDerivationFunction Class Referenceabstract

abstract base class for password based key derivation function More...

`#include <pwdbased.h>`

Inheritance diagram for PasswordBasedKeyDerivationFunction:

## Public Member Functions

virtual size_t | MaxDerivedKeyLength () const =0
virtual bool | UsesPurposeByte () const =0
virtual unsigned int | DeriveKey (byte *derived, size_t derivedLen, byte purpose, const byte *password, size_t passwordLen, const byte *salt, size_t saltLen, unsigned int iterations, double timeInSeconds=0) const =0
| derive key from password More...

## Detailed Description

abstract base class for password based key derivation function

Definition at line 14 of file pwdbased.h.

## Member Function Documentation

virtual unsigned int PasswordBasedKeyDerivationFunction::DeriveKey | ( | byte * | derived,
|  | size_t | derivedLen,
|  | byte | purpose,
|  | const byte * | password,
|  | size_t | passwordLen,
|  | const byte * | salt,
|  | size_t | saltLen,
|  | unsigned int | iterations,
|  | double | timeInSeconds = `0`
| ) |  | const

pure virtual

derive key from password

If timeInSeconds != 0, will iterate until time elapsed, as measured by ThreadUserTimer Returns actual iteration count, which is equal to iterations if timeInSeconds == 0, and not less than iterations otherwise.

Implemented in PKCS12_PBKDF< T >, PKCS5_PBKDF2_HMAC< T >, and PKCS5_PBKDF1< T >.

The documentation for this class was generated from the following file:

- pwdbased.h